JGraph X 1.3.0.0

## com.mxgraph.swing.handler
Class mxVertexHandler

    java.lang.Object
      com.mxgraph.swing.handler.mxCellHandler
          com.mxgraph.swing.handler.mxVertexHandler

    public class mxVertexHandler

extends mxCellHandler

Field Summary
`protected boolean` `constrainedEvent` Workaround for shift-key-state not correct in mouseReleased.
`static java.awt.Cursor[]` `CURSORS`
`protected boolean` `gridEnabledEvent` Workaround for alt-key-state not correct in mouseReleased.

Fields inherited from class com.mxgraph.swing.handler.mxCellHandler
`bounds, first, graphComponent, handles, handlesVisible, index, preview, state`

Constructor Summary
`mxVertexHandler(mxGraphComponent graphComponent, mxCellState state)`

Method Summary
`protected java.awt.Rectangle[]` `createHandles()` Creates the rectangles that define the handles.
`protected javax.swing.JComponent` `createPreview()` Creates the preview for this handler.
`protected java.awt.Cursor` `getCursor(java.awt.event.MouseEvent e, int index)` Returns the cursor for the given event and handle.
`protected java.awt.Color` `getSelectionColor()`
`protected java.awt.Stroke` `getSelectionStroke()`
`void` `mouseDragged(java.awt.event.MouseEvent e)` Processes the given event.
`void` `mouseReleased(java.awt.event.MouseEvent e)` Processes the given event.
`protected void` `moveLabel(java.awt.event.MouseEvent e)`
`void` `paint(java.awt.Graphics g)` Paints the visible handles of this handler.
`protected void` `resizeCell(java.awt.event.MouseEvent e)`
`protected mxRectangle` `union(mxRectangle bounds, double dx, double dy, int index)`

Methods inherited from class com.mxgraph.swing.handler.mxCellHandler
`getBounds, getHandleBorderColor, getHandleCount, getHandleFillColor, getIndexAt, getState, getToolTipText, isActive, isHandleEnabled, isHandlesVisible, isHandleVisible, isIgnoredEvent, isLabel, isLabelMovable, mouseMoved, mousePressed, refresh, reset, setHandlesVisible, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURSORS

    public static java.awt.Cursor[] CURSORS

### gridEnabledEvent

    protected transient boolean gridEnabledEvent

  Workaround for alt-key-state not correct in mouseReleased.

### constrainedEvent

    protected transient boolean constrainedEvent

  Workaround for shift-key-state not correct in mouseReleased.

Constructor Detail

### mxVertexHandler

    public mxVertexHandler(mxGraphComponent graphComponent,
                           mxCellState state)

Parameters:
  `graphComponent` -
  `state` -

Method Detail

### createHandles

    protected java.awt.Rectangle[] createHandles()

  Description copied from class: `mxCellHandler`
  Creates the rectangles that define the handles.

  Overrides:
    `createHandles` in class `mxCellHandler`

### createPreview

    protected javax.swing.JComponent createPreview()

  Description copied from class: `mxCellHandler`
  Creates the preview for this handler.

  Overrides:
    `createPreview` in class `mxCellHandler`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Description copied from class: `mxCellHandler`
  Processes the given event.

  Overrides:
    `mouseDragged` in class `mxCellHandler`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Description copied from class: `mxCellHandler`
  Processes the given event.

  Overrides:
    `mouseReleased` in class `mxCellHandler`

### moveLabel

    protected void moveLabel(java.awt.event.MouseEvent e)

### resizeCell

    protected void resizeCell(java.awt.event.MouseEvent e)

  Parameters:
    `e` -

### getCursor

    protected java.awt.Cursor getCursor(java.awt.event.MouseEvent e,
                                        int index)

  Description copied from class: `mxCellHandler`
  Returns the cursor for the given event and handle.

  Overrides:
    `getCursor` in class `mxCellHandler`

### union

    protected mxRectangle union(mxRectangle bounds,
                                double dx,
                                double dy,
                                int index)

  Parameters:
    `bounds` -
    `dx` -
    `dy` -
    `index` -

### getSelectionColor

    protected java.awt.Color getSelectionColor()

### getSelectionStroke

    protected java.awt.Stroke getSelectionStroke()

### paint

    public void paint(java.awt.Graphics g)

  Description copied from class: `mxCellHandler`
  Paints the visible handles of this handler.

  Overrides:
    `paint` in class `mxCellHandler`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.